Bug 1573862 - [abrt] gnome-calendar: gcal_manager_is_client_writable(): gnome-calendar killed by SIGSEGV
Summary: [abrt] gnome-calendar: gcal_manager_is_client_writable(): gnome-calendar kill...
Keywords:
Status: CLOSED DUPLICATE of bug 1645346
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calendar
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f8b0824d58f44a7cb04fcb6f367...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 11:49 UTC by aolaszewski
Modified: 2019-07-03 15:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 15:34:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (58.68 KB, text/plain)
2018-05-02 11:50 UTC, aolaszewski
no flags Details
File: cgroup (365 bytes, text/plain)
2018-05-02 11:50 UTC, aolaszewski
no flags Details
File: core_backtrace (31.65 KB, text/plain)
2018-05-02 11:50 UTC, aolaszewski
no flags Details
File: cpuinfo (1.47 KB, text/plain)
2018-05-02 11:50 UTC, aolaszewski
no flags Details
File: dso_list (22.05 KB, text/plain)
2018-05-02 11:50 UTC, aolaszewski
no flags Details
File: environ (1.60 KB, text/plain)
2018-05-02 11:50 UTC, aolaszewski
no flags Details
File: exploitable (117 bytes, text/plain)
2018-05-02 11:50 UTC, aolaszewski
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-02 11:50 UTC, aolaszewski
no flags Details
File: maps (103.09 KB, text/plain)
2018-05-02 11:50 UTC, aolaszewski
no flags Details
File: mountinfo (3.81 KB, text/plain)
2018-05-02 11:50 UTC, aolaszewski
no flags Details
File: open_fds (1.46 KB, text/plain)
2018-05-02 11:50 UTC, aolaszewski
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-05-02 11:50 UTC, aolaszewski
no flags Details
File: var_log_messages (10.50 KB, text/plain)
2018-05-02 11:50 UTC, aolaszewski
no flags Details

Description aolaszewski 2018-05-02 11:49:56 UTC
Version-Release number of selected component:
gnome-calendar-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: gcal_manager_is_client_writable
executable:     /usr/bin/gnome-calendar
journald_cursor: s=35c1291b1b6e42e0b5f0be1f876afc27;i=443d;b=62e994f54acd44689ce4b1beae511657;m=3d775f7e;t=56b36eac87797;x=4ed65b2f087a56c2
kernel:         4.16.5-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 gcal_manager_is_client_writable at ../src/gcal-manager.c:1579
 #1 on_source_changed at ../src/gcal-quick-add-popover.c:537
 #6 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:2102
 #7 _g_closure_invoke_va at gclosure.c:867
 #10 source_registry_source_changed_idle_cb at /usr/src/debug/evolution-data-server-3.28.1-2.fc28.x86_64/src/libedataserver/e-source-registry.c:569
 #15 g_main_context_iteration at gmain.c:3964
 #16 g_application_run at gapplication.c:2470

Potential duplicate: bug 1482015

Comment 1 aolaszewski 2018-05-02 11:50:01 UTC
Created attachment 1429952 [details]
File: backtrace

Comment 2 aolaszewski 2018-05-02 11:50:02 UTC
Created attachment 1429953 [details]
File: cgroup

Comment 3 aolaszewski 2018-05-02 11:50:04 UTC
Created attachment 1429954 [details]
File: core_backtrace

Comment 4 aolaszewski 2018-05-02 11:50:06 UTC
Created attachment 1429955 [details]
File: cpuinfo

Comment 5 aolaszewski 2018-05-02 11:50:07 UTC
Created attachment 1429956 [details]
File: dso_list

Comment 6 aolaszewski 2018-05-02 11:50:08 UTC
Created attachment 1429957 [details]
File: environ

Comment 7 aolaszewski 2018-05-02 11:50:10 UTC
Created attachment 1429958 [details]
File: exploitable

Comment 8 aolaszewski 2018-05-02 11:50:11 UTC
Created attachment 1429959 [details]
File: limits

Comment 9 aolaszewski 2018-05-02 11:50:13 UTC
Created attachment 1429960 [details]
File: maps

Comment 10 aolaszewski 2018-05-02 11:50:15 UTC
Created attachment 1429961 [details]
File: mountinfo

Comment 11 aolaszewski 2018-05-02 11:50:16 UTC
Created attachment 1429962 [details]
File: open_fds

Comment 12 aolaszewski 2018-05-02 11:50:17 UTC
Created attachment 1429963 [details]
File: proc_pid_status

Comment 13 aolaszewski 2018-05-02 11:50:19 UTC
Created attachment 1429964 [details]
File: var_log_messages

Comment 14 gudbugsarwontfix 2018-05-22 12:22:25 UTC
*** Bug 1581246 has been marked as a duplicate of this bug. ***

Comment 15 Igor Raits 2018-08-02 15:34:05 UTC
Please test with latest updates and reopen if still reproducible.

Comment 16 znert.trent 2018-12-17 07:11:27 UTC
Similar problem has been detected:

Error randomly occured when closing the calendar application.

reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: gcal_manager_is_client_writable
executable:     /usr/bin/gnome-calendar
journald_cursor: s=19ad2b5f3ef1467e8a6d135712b9c9c4;i=59ddf;b=9d647514aee6459889b61e79aac506ef;m=1eb986287;t=57d326735151b;x=d75ca4334c13696c
kernel:         4.19.5-200.fc28.x86_64
package:        gnome-calendar-3.28.2-1.fc28
reason:         gnome-calendar killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Michael Catanzaro 2019-07-03 15:42:46 UTC

*** This bug has been marked as a duplicate of bug 1645346 ***


Note You need to log in before you can comment on or make changes to this bug.